Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class ModelReader

    java.lang.Object
      org.mindswap.pellet.jena.ModelReader

    public class ModelReader

extends java.lang.Object

Utility class to read ontologies into Jena models. It can be used to read ontologies with all the imports. It will automatically ignore to load built-in ontologies like "http://www.w3.org/2002/07/owl#".

Author:
  Evren Sirin

Field Summary
`static boolean` | `DEBUG` Deprecated. Edit log4j.properties to turn on debugging

Constructor Summary
`ModelReader()`

Method Summary
`Cache` | `getCache()` Deprecated. use `LocationMapper.get()`
`java.lang.String` | `getURI(com.hp.hpl.jena.rdf.model.Model model)`
`void` | `ignoreFile(java.lang.String file)`
`com.hp.hpl.jena.rdf.model.Model` | `read(java.io.InputStream in)` read
`com.hp.hpl.jena.rdf.model.Model` | `read(java.io.InputStream in, java.lang.String format)`
`com.hp.hpl.jena.rdf.model.Model` | `read(java.io.InputStream in, java.lang.String format, java.lang.String base)`
`com.hp.hpl.jena.rdf.model.Model` | `read(java.io.InputStream in, java.lang.String format, java.lang.String base, boolean withImports)`
`com.hp.hpl.jena.rdf.model.Model` | `read(java.lang.String uri)`
`com.hp.hpl.jena.rdf.model.Model` | `read(java.lang.String uri, boolean withImports)`
`com.hp.hpl.jena.rdf.model.Model` | `read(java.lang.String uri, java.lang.String format)`
`com.hp.hpl.jena.rdf.model.Model` | `read(java.lang.String uri, java.lang.String format, boolean withImports)`
`static com.hp.hpl.jena.rdf.model.Model` | `read(java.lang.String loc, java.lang.String pattern, int limit)`
`com.hp.hpl.jena.rdf.model.Model[]` | `readSeparate(java.lang.String url, java.lang.String format)`
`void` | `setCache(Cache cache)` Deprecated. use `LocationMapper.setGlobalLocationMapper(com.hp.hpl.jena.util.LocationMapper)`
`com.hp.hpl.jena.rdf.model.RDFErrorHandler` | `setErrorHandler(com.hp.hpl.jena.rdf.model.RDFErrorHandler errHandler)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static boolean DEBUG

  Deprecated. Edit log4j.properties to turn on debugging

Constructor Detail

### ModelReader

    public ModelReader()

Method Detail

### ignoreFile

    public void ignoreFile(java.lang.String file)

### readSeparate

    public com.hp.hpl.jena.rdf.model.Model[] readSeparate(java.lang.String url,
                                                          java.lang.String format)

### getURI

    public java.lang.String getURI(com.hp.hpl.jena.rdf.model.Model model)

### read

    public com.hp.hpl.jena.rdf.model.Model read(java.lang.String uri)

### read

    public com.hp.hpl.jena.rdf.model.Model read(java.lang.String uri,
                                                java.lang.String format)

### read

    public com.hp.hpl.jena.rdf.model.Model read(java.lang.String uri,
                                                boolean withImports)

### read

    public com.hp.hpl.jena.rdf.model.Model read(java.lang.String uri,
                                                java.lang.String format,
                                                boolean withImports)

### read

    public static com.hp.hpl.jena.rdf.model.Model read(java.lang.String loc,
                                                       java.lang.String pattern,
                                                       int limit)
                                                throws java.lang.RuntimeException

  Throws:
    `java.lang.RuntimeException`

### read

    public com.hp.hpl.jena.rdf.model.Model read(java.io.InputStream in)

  read

  Parameters:
    `in` -
  Returns:

### read

    public com.hp.hpl.jena.rdf.model.Model read(java.io.InputStream in,
                                                java.lang.String format)

### read

    public com.hp.hpl.jena.rdf.model.Model read(java.io.InputStream in,
                                                java.lang.String format,
                                                java.lang.String base)

### read

    public com.hp.hpl.jena.rdf.model.Model read(java.io.InputStream in,
                                                java.lang.String format,
                                                java.lang.String base,
                                                boolean withImports)

### setErrorHandler

    public com.hp.hpl.jena.rdf.model.RDFErrorHandler setErrorHandler(com.hp.hpl.jena.rdf.model.RDFErrorHandler errHandler)

### getCache

    public Cache getCache()

  Deprecated. use `LocationMapper.get()`

  Returns:
    Returns the cache.

### setCache

    public void setCache(Cache cache)

  Deprecated. use `LocationMapper.setGlobalLocationMapper(com.hp.hpl.jena.util.LocationMapper)`

  Parameters:
    `cache` - The cache to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.